Package com.ocient.jdbc.proto

## Class ClientWireProtocol.ClientConnection2Response.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ClientConnection2Response.Builder>
      - - com.ocient.jdbc.proto.ClientWireProtocol.ClientConnection2Response.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `ClientWireProtocol.ClientConnection2ResponseOrBuilder`, `Cloneable`

Enclosing class:
  ClientWireProtocol.ClientConnection2Response

    public static final class ClientWireProtocol.ClientConnection2Response.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ClientConnection2Response.Builder>
    implements ClientWireProtocol.ClientConnection2ResponseOrBuilder

Protobuf type `xg.cmdcomp.ClientConnection2Response`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`ClientWireProtocol.ClientConnection2Response.Builder` `addAllCmdcomps​(Iterable<String> values)` If redirect = false, this is a list of all cmdcomps
`ClientWireProtocol.ClientConnection2Response.Builder` `addCmdcomps​(String value)` If redirect = false, this is a list of all cmdcomps
`ClientWireProtocol.ClientConnection2Response.Builder` `addCmdcompsBytes​(com.google.protobuf.ByteString value)` If redirect = false, this is a list of all cmdcomps
`ClientWireProtocol.ClientConnection2Response.Builder` `addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`ClientWireProtocol.ClientConnection2Response` `build()`
`ClientWireProtocol.ClientConnection2Response` `buildPartial()`
`ClientWireProtocol.ClientConnection2Response.Builder` `clear()`
`ClientWireProtocol.ClientConnection2Response.Builder` `clearCmdcomps()` If redirect = false, this is a list of all cmdcomps
`ClientWireProtocol.ClientConnection2Response.Builder` `clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)`
`ClientWireProtocol.ClientConnection2Response.Builder` `clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`ClientWireProtocol.ClientConnection2Response.Builder` `clearRedirect()` Redirect = true, means we are telling client to connect elsewhere
`ClientWireProtocol.ClientConnection2Response.Builder` `clearRedirectHost()` `string redirectHost = 3;`
`ClientWireProtocol.ClientConnection2Response.Builder` `clearRedirectPort()` `fixed32 redirectPort = 4;`
`ClientWireProtocol.ClientConnection2Response.Builder` `clearResponse()` `.xg.cmdcomp.ConfirmationResponse response = 1;`
`ClientWireProtocol.ClientConnection2Response.Builder` `clone()`
`String` `getCmdcomps​(int index)` If redirect = false, this is a list of all cmdcomps
`com.google.protobuf.ByteString` `getCmdcompsBytes​(int index)` If redirect = false, this is a list of all cmdcomps
`int` `getCmdcompsCount()` If redirect = false, this is a list of all cmdcomps
`com.google.protobuf.ProtocolStringList` `getCmdcompsList()` If redirect = false, this is a list of all cmdcomps
`ClientWireProtocol.ClientConnection2Response` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`boolean` `getRedirect()` Redirect = true, means we are telling client to connect elsewhere
`String` `getRedirectHost()` `string redirectHost = 3;`
`com.google.protobuf.ByteString` `getRedirectHostBytes()` `string redirectHost = 3;`
`int` `getRedirectPort()` `fixed32 redirectPort = 4;`
`ClientWireProtocol.ConfirmationResponse` `getResponse()` `.xg.cmdcomp.ConfirmationResponse response = 1;`
`ClientWireProtocol.ConfirmationResponse.Builder` `getResponseBuilder()` `.xg.cmdcomp.ConfirmationResponse response = 1;`
`ClientWireProtocol.ConfirmationResponseOrBuilder` `getResponseOrBuilder()` `.xg.cmdcomp.ConfirmationResponse response = 1;`
`boolean` `hasResponse()` `.xg.cmdcomp.ConfirmationResponse response = 1;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`ClientWireProtocol.ClientConnection2Response.Builder` `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`ClientWireProtocol.ClientConnection2Response.Builder` `mergeFrom​(com.google.protobuf.Message other)`
`ClientWireProtocol.ClientConnection2Response.Builder` `mergeFrom​(ClientWireProtocol.ClientConnection2Response other)`
`ClientWireProtocol.ClientConnection2Response.Builder` `mergeResponse​(ClientWireProtocol.ConfirmationResponse value)` `.xg.cmdcomp.ConfirmationResponse response = 1;`
`ClientWireProtocol.ClientConnection2Response.Builder` `mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`
`ClientWireProtocol.ClientConnection2Response.Builder` `setCmdcomps​(int index, String value)` If redirect = false, this is a list of all cmdcomps
`ClientWireProtocol.ClientConnection2Response.Builder` `setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`ClientWireProtocol.ClientConnection2Response.Builder` `setRedirect​(boolean value)` Redirect = true, means we are telling client to connect elsewhere
`ClientWireProtocol.ClientConnection2Response.Builder` `setRedirectHost​(String value)` `string redirectHost = 3;`
`ClientWireProtocol.ClientConnection2Response.Builder` `setRedirectHostBytes​(com.google.protobuf.ByteString value)` `string redirectHost = 3;`
`ClientWireProtocol.ClientConnection2Response.Builder` `setRedirectPort​(int value)` `fixed32 redirectPort = 4;`
`ClientWireProtocol.ClientConnection2Response.Builder` `setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`ClientWireProtocol.ClientConnection2Response.Builder` `setResponse​(ClientWireProtocol.ConfirmationResponse value)` `.xg.cmdcomp.ConfirmationResponse response = 1;`
`ClientWireProtocol.ClientConnection2Response.Builder` `setResponse​(ClientWireProtocol.ConfirmationResponse.Builder builderForValue)` `.xg.cmdcomp.ConfirmationResponse response = 1;`
`ClientWireProtocol.ClientConnection2Response.Builder` `setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ClientConnection2Response.Builder>`

#### clear

    public ClientWireProtocol.ClientConnection2Response.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ClientConnection2Response.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ClientConnection2Response.Builder>`

#### getDefaultInstanceForType

    public ClientWireProtocol.ClientConnection2Response getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public ClientWireProtocol.ClientConnection2Response build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public ClientWireProtocol.ClientConnection2Response buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public ClientWireProtocol.ClientConnection2Response.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ClientConnection2Response.Builder>`

#### setField

    public ClientWireProtocol.ClientConnection2Response.Builder setField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                         Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ClientConnection2Response.Builder>`

#### clearField

    public ClientWireProtocol.ClientConnection2Response.Builder clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ClientConnection2Response.Builder>`

#### clearOneof

    public ClientWireProtocol.ClientConnection2Response.Builder clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ClientConnection2Response.Builder>`

#### setRepeatedField

    public ClientWireProtocol.ClientConnection2Response.Builder setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                                 int index,
                                                                                 Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ClientConnection2Response.Builder>`

#### addRepeatedField

    public ClientWireProtocol.ClientConnection2Response.Builder addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                                 Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ClientConnection2Response.Builder>`

#### mergeFrom

    public ClientWireProtocol.ClientConnection2Response.Builder mergeFrom​(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<ClientWireProtocol.ClientConnection2Response.Builder>`

#### mergeFrom

    public ClientWireProtocol.ClientConnection2Response.Builder mergeFrom​(ClientWireProtocol.ClientConnection2Response other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ClientConnection2Response.Builder>`

#### mergeFrom

    public ClientWireProtocol.ClientConnection2Response.Builder mergeFrom​(com.google.protobuf.CodedInputStream input,
                                                                          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                   throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<ClientWireProtocol.ClientConnection2Response.Builder>`
Throws:
  `IOException`

#### hasResponse

    public boolean hasResponse()

`.xg.cmdcomp.ConfirmationResponse response = 1;`

Specified by:
  `hasResponse` in interface `ClientWireProtocol.ClientConnection2ResponseOrBuilder`
Returns:
  Whether the response field is set.

#### getResponse

    public ClientWireProtocol.ConfirmationResponse getResponse()

`.xg.cmdcomp.ConfirmationResponse response = 1;`

Specified by:
  `getResponse` in interface `ClientWireProtocol.ClientConnection2ResponseOrBuilder`
Returns:
  The response.

#### setResponse

    public ClientWireProtocol.ClientConnection2Response.Builder setResponse​(ClientWireProtocol.ConfirmationResponse value)

`.xg.cmdcomp.ConfirmationResponse response = 1;`

#### setResponse

    public ClientWireProtocol.ClientConnection2Response.Builder setResponse​(ClientWireProtocol.ConfirmationResponse.Builder builderForValue)

`.xg.cmdcomp.ConfirmationResponse response = 1;`

#### mergeResponse

    public ClientWireProtocol.ClientConnection2Response.Builder mergeResponse​(ClientWireProtocol.ConfirmationResponse value)

`.xg.cmdcomp.ConfirmationResponse response = 1;`

#### clearResponse

    public ClientWireProtocol.ClientConnection2Response.Builder clearResponse()

`.xg.cmdcomp.ConfirmationResponse response = 1;`

#### getResponseBuilder

    public ClientWireProtocol.ConfirmationResponse.Builder getResponseBuilder()

`.xg.cmdcomp.ConfirmationResponse response = 1;`

#### getResponseOrBuilder

    public ClientWireProtocol.ConfirmationResponseOrBuilder getResponseOrBuilder()

`.xg.cmdcomp.ConfirmationResponse response = 1;`

Specified by:
  `getResponseOrBuilder` in interface `ClientWireProtocol.ClientConnection2ResponseOrBuilder`

#### getRedirect

    public boolean getRedirect()

    Redirect = true, means we are telling client to connect elsewhere

`bool redirect = 2;`

Specified by:
  `getRedirect` in interface `ClientWireProtocol.ClientConnection2ResponseOrBuilder`
Returns:
  The redirect.

#### setRedirect

    public ClientWireProtocol.ClientConnection2Response.Builder setRedirect​(boolean value)

    Redirect = true, means we are telling client to connect elsewhere

`bool redirect = 2;`

Parameters:
  `value` - The redirect to set.
Returns:
  This builder for chaining.

#### clearRedirect

    public ClientWireProtocol.ClientConnection2Response.Builder clearRedirect()

    Redirect = true, means we are telling client to connect elsewhere

`bool redirect = 2;`

Returns:
  This builder for chaining.

#### getRedirectHost

    public String getRedirectHost()

`string redirectHost = 3;`

Specified by:
  `getRedirectHost` in interface `ClientWireProtocol.ClientConnection2ResponseOrBuilder`
Returns:
  The redirectHost.

#### getRedirectHostBytes

    public com.google.protobuf.ByteString getRedirectHostBytes()

`string redirectHost = 3;`

Specified by:
  `getRedirectHostBytes` in interface `ClientWireProtocol.ClientConnection2ResponseOrBuilder`
Returns:
  The bytes for redirectHost.

#### setRedirectHost

    public ClientWireProtocol.ClientConnection2Response.Builder setRedirectHost​(String value)

`string redirectHost = 3;`

Parameters:
  `value` - The redirectHost to set.
Returns:
  This builder for chaining.

#### clearRedirectHost

    public ClientWireProtocol.ClientConnection2Response.Builder clearRedirectHost()

`string redirectHost = 3;`

Returns:
  This builder for chaining.

#### setRedirectHostBytes

    public ClientWireProtocol.ClientConnection2Response.Builder setRedirectHostBytes​(com.google.protobuf.ByteString value)

`string redirectHost = 3;`

Parameters:
  `value` - The bytes for redirectHost to set.
Returns:
  This builder for chaining.

#### getRedirectPort

    public int getRedirectPort()

`fixed32 redirectPort = 4;`

Specified by:
  `getRedirectPort` in interface `ClientWireProtocol.ClientConnection2ResponseOrBuilder`
Returns:
  The redirectPort.

#### setRedirectPort

    public ClientWireProtocol.ClientConnection2Response.Builder setRedirectPort​(int value)

`fixed32 redirectPort = 4;`

Parameters:
  `value` - The redirectPort to set.
Returns:
  This builder for chaining.

#### clearRedirectPort

    public ClientWireProtocol.ClientConnection2Response.Builder clearRedirectPort()

`fixed32 redirectPort = 4;`

Returns:
  This builder for chaining.

#### getCmdcompsList

    public com.google.protobuf.ProtocolStringList getCmdcompsList()

    If redirect = false, this is a list of all cmdcomps

`repeated string cmdcomps = 5;`

Specified by:
  `getCmdcompsList` in interface `ClientWireProtocol.ClientConnection2ResponseOrBuilder`
Returns:
  A list containing the cmdcomps.

#### getCmdcompsCount

    public int getCmdcompsCount()

    If redirect = false, this is a list of all cmdcomps

`repeated string cmdcomps = 5;`

Specified by:
  `getCmdcompsCount` in interface `ClientWireProtocol.ClientConnection2ResponseOrBuilder`
Returns:
  The count of cmdcomps.

#### getCmdcomps

    public String getCmdcomps​(int index)

    If redirect = false, this is a list of all cmdcomps

`repeated string cmdcomps = 5;`

Specified by:
  `getCmdcomps` in interface `ClientWireProtocol.ClientConnection2ResponseOrBuilder`
Parameters:
  `index` - The index of the element to return.
Returns:
  The cmdcomps at the given index.

#### getCmdcompsBytes

    public com.google.protobuf.ByteString getCmdcompsBytes​(int index)

    If redirect = false, this is a list of all cmdcomps

`repeated string cmdcomps = 5;`

Specified by:
  `getCmdcompsBytes` in interface `ClientWireProtocol.ClientConnection2ResponseOrBuilder`
Parameters:
  `index` - The index of the value to return.
Returns:
  The bytes of the cmdcomps at the given index.

#### setCmdcomps

    public ClientWireProtocol.ClientConnection2Response.Builder setCmdcomps​(int index,
                                                                            String value)

    If redirect = false, this is a list of all cmdcomps

`repeated string cmdcomps = 5;`

Parameters:
  `index` - The index to set the value at.
  `value` - The cmdcomps to set.
Returns:
  This builder for chaining.

#### addCmdcomps

    public ClientWireProtocol.ClientConnection2Response.Builder addCmdcomps​(String value)

    If redirect = false, this is a list of all cmdcomps

`repeated string cmdcomps = 5;`

Parameters:
  `value` - The cmdcomps to add.
Returns:
  This builder for chaining.

#### addAllCmdcomps

    public ClientWireProtocol.ClientConnection2Response.Builder addAllCmdcomps​(Iterable<String> values)

    If redirect = false, this is a list of all cmdcomps

`repeated string cmdcomps = 5;`

Parameters:
  `values` - The cmdcomps to add.
Returns:
  This builder for chaining.

#### clearCmdcomps

    public ClientWireProtocol.ClientConnection2Response.Builder clearCmdcomps()

    If redirect = false, this is a list of all cmdcomps

`repeated string cmdcomps = 5;`

Returns:
  This builder for chaining.

#### addCmdcompsBytes

    public ClientWireProtocol.ClientConnection2Response.Builder addCmdcompsBytes​(com.google.protobuf.ByteString value)

    If redirect = false, this is a list of all cmdcomps

`repeated string cmdcomps = 5;`

Parameters:
  `value` - The bytes of the cmdcomps to add.
Returns:
  This builder for chaining.

#### setUnknownFields

    public final ClientWireProtocol.ClientConnection2Response.Builder setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ClientConnection2Response.Builder>`

#### mergeUnknownFields

    public final ClientWireProtocol.ClientConnection2Response.Builder mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ClientConnection2Response.Builder>`